/* Copyright (c) 2018 Pomcor. Use subject to the PJCL License, https:pomcor.com/pjcl/pjcl-license.txt */


if (performance === undefined) {
    postMessage("NoTimingAPI");
    close();
}

importScripts("../pjcl.js");
importScripts("KaratsubaThresholds.js");

console.log("*** COMPUTING THE OPTIMAL KARATSUBA THRESHOLD FOR MULTIPLICATION ***");
var multThreshold = pjclDefineKaratsubaMultThreshold();
console.log("*** COMPUTING THE OPTIMAL KARATSUBA THRESHOLD FOR SQUARING ***");
var sqrThreshold = pjclDefineKaratsubaSqrThreshold();
postMessage([multThreshold,sqrThreshold]);
console.log("*** DONE ***");
close();
